- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Examples
- Try it!
Marks all the data in the conversion workspace as committed.
HTTP request
POST https://datamigration.googleapis.com/v1/{name}:commit
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the conversion workspace resource to commit. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "commitName": string } |
| Fields | |
|---|---|
commitName |
Optional. Optional name of the commit. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
datamigration.conversionworkspaces.commit
For more information, see the IAM documentation.